DCMTK: DVPSCurve_PList Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSCurve_PList Class Reference

the list of curves contained in image which is attached to a presentation state. More...

## Public Member Functions
| DVPSCurve_PList ()
| default constructor
| DVPSCurve_PList (const DVPSCurve_PList &copy)
| copy constructor
DVPSCurve_PList * | clone ()
| clone method.
virtual | ~DVPSCurve_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads all curve groups which can be displayed in a presentation state from a DICOM dataset.
void | clear ()
| reset the object to initial state.
OFBool | haveCurveGroup (Uint16 group)
| check presence of curve group
DVPSCurve * | getCurveGroup (Uint16 group)
| get curve by group
DVPSCurve * | getCurve (size_t idx)
| get curve by index
size_t | size () const
| get number of curves in this list.

## Private Member Functions
DVPSCurve_PList & | operator= (const DVPSCurve_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSCurve * > | list_
| the list maintained by this object

## Detailed Description

the list of curves contained in image which is attached to a presentation state.

This class manages the data structures comprising the list of curves (all instances of the Curve Module repeating elements) contained in an image object.

## Member Function Documentation

## ◆ clear()

void DVPSCurve_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSCurve_PList * DVPSCurve_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSCurve_PList object containing a deep copy of this object.

References DVPSCurve_PList().

## ◆ getCurve()

DVPSCurve * DVPSCurve_PList::getCurve | ( | size_t | idx | ) |

get curve by index

Parameters

  idx | index, must be < size()

Returns
  a pointer to the matching DVPSCurve object if it exists, NULL otherwise.

## ◆ getCurveGroup()

DVPSCurve * DVPSCurve_PList::getCurveGroup | ( | Uint16 | group | ) |

get curve by group

Parameters

  group | curve repeating group to be checked

Returns
  a pointer to the matching DVPSCurve object if found, NULL otherwise.

## ◆ haveCurveGroup()

OFBool DVPSCurve_PList::haveCurveGroup | ( | Uint16 | group | ) |

check presence of curve group

Parameters

  group | curve repeating group to be checked

Returns
  OFTrue if the specified curve group is present in the list of curves managed by this object.

## ◆ read()

OFCondition DVPSCurve_PList::read | ( | DcmItem & | dset | ) |

reads all curve groups which can be displayed in a presentation state from a DICOM dataset.

This method checks which curves are contained in the DICOM dataset. All curves complying with the presentation state requirements (i.e. 2-dimensional POLY or ROI curves without curve descriptor) are copied into the "list of curves" structure managed by this object. The completeness of the curves (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the DICOM dataset from which the curves are read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ size()

size_t DVPSCurve_PList::size | ( |  | ) | const
| inline

get number of curves in this list.

Returns
  the number of curves.

References list_.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpscul.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2